%define upstream_name    asa
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lets your class/object say it works like something else
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module//%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

Provides:   perl(asa)

%description
Perl 5 doesn't natively support Java-style interfaces, and it doesn't
support Perl 6 style roles either.

You can get both of these things in half a dozen different ways via various
CPAN modules, but they usually require that you buy into "their way" of
implementing your code.

Other have turned to "duck typing".

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.40.0-2.mga9
+ Revision: 1812671
- Mageia 9 Mass Rebuild

* Wed May 06 2020 shlomif <shlomif> 1.40.0-1.mga8
+ Revision: 1580829
- update to 1.04

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-13.mga8
+ Revision: 1507099
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.30.0-12.mga7
+ Revision: 1287485
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.30.0-11.mga7
+ Revision: 1163133
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1.30.0-10.mga7
+ Revision: 1160321
- add BR on perl(inc::Module::Install::DSL)

* Sat Jun 18 2016 pterjan <pterjan> 1.30.0-9.mga6
+ Revision: 1022587
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.30.0-8.mga6
+ Revision: 948771
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.30.0-7.mga5
+ Revision: 788350
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-6.mga5
+ Revision: 747594
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 687005
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-4.mga4
+ Revision: 516354
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-3.mga3
+ Revision: 375340
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 11 2011 spuhler <spuhler> 1.30.0-2.mga2
+ Revision: 104057
- increase rel for rebuild

* Thu Mar 10 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 67423
- update to 1.03

* Wed Jan 26 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 41226
- rebuild
- mageia rebuild

* Sun Jan 09 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 1783
- imported package perl-asa

